//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.02.01 at 03:58:26 PM CET 
//

package net.ihe.gazelle.app.validationservice.adapter.reportmodel;

import net.ihe.gazelle.app.validationservice.adapter.templates.Template;

import javax.xml.bind.annotation.*;

/**
 * <p>
 * Java class for anonymous complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}DocumentValidXDW"/&gt;
 *         &lt;element ref="{}DocumentWellFormed" minOccurs="0"/&gt;
 *         &lt;element ref="{}MDAValidation"/&gt;
 *         &lt;element ref="{}ValidationResultsOverview"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"documentValidXSD", "documentWellFormed",
        "mdaValidation", "validationResultsOverview", "nistValidation", "templateDesc"})
@XmlRootElement(name = "detailedResult")
public class DetailedResult {

    @XmlElement(name = "DocumentValidXSD", required = true)
    protected DocumentValidXSD documentValidXSD;
    @XmlElement(name = "DocumentWellFormed")
    protected DocumentWellFormed documentWellFormed;
    @XmlElement(name = "MDAValidation", required = true)
    protected MDAValidation mdaValidation;
    @XmlElement(name = "ValidationResultsOverview", required = true)
    protected ValidationResultsOverview validationResultsOverview;
    @XmlElement(name = "nistValidation")
    protected NistValidation nistValidation;

    @XmlElement(name = "TemplateDesc")
    protected Template templateDesc;

    public Template getTemplateDesc() {
        return templateDesc;
    }

    public void setTemplateDesc(Template templateDesc) {
        this.templateDesc = templateDesc;
    }

    public NistValidation getNistValidation() {
        return nistValidation;
    }

    public void setNistValidation(NistValidation nistValidation) {
        this.nistValidation = nistValidation;
    }

    /**
     * Gets the value of the documentValidXSD property.
     *
     * @return possible object is {@link DocumentValidXSD }
     */
    public DocumentValidXSD getDocumentValidXSD() {
        return documentValidXSD;
    }

    /**
     * Sets the value of the documentValidXDW property.
     *
     * @param value allowed object is {@link DocumentValidXSD }
     */
    public void setDocumentValidXSD(DocumentValidXSD value) {
        this.documentValidXSD = value;
    }

    /**
     * Gets the value of the documentWellFormed property.
     *
     * @return possible object is {@link DocumentWellFormed }
     */
    public DocumentWellFormed getDocumentWellFormed() {
        return documentWellFormed;
    }

    /**
     * Sets the value of the documentWellFormed property.
     *
     * @param value allowed object is {@link DocumentWellFormed }
     */
    public void setDocumentWellFormed(DocumentWellFormed value) {
        this.documentWellFormed = value;
    }

    /**
     * Gets the value of the mdaValidation property.
     *
     * @return possible object is {@link MDAValidation }
     */
    public MDAValidation getMDAValidation() {
        return mdaValidation;
    }

    /**
     * Sets the value of the mdaValidation property.
     *
     * @param value allowed object is {@link MDAValidation }
     */
    public void setMDAValidation(MDAValidation value) {
        this.mdaValidation = value;
    }

    /**
     * Gets the value of the validationResultsOverview property.
     *
     * @return possible object is {@link ValidationResultsOverview }
     */
    public ValidationResultsOverview getValidationResultsOverview() {
        return validationResultsOverview;
    }

    /**
     * Sets the value of the validationResultsOverview property.
     *
     * @param value allowed object is {@link ValidationResultsOverview }
     */
    public void setValidationResultsOverview(ValidationResultsOverview value) {
        this.validationResultsOverview = value;
    }

}
